<template>
  <div class='app_button'>
  <p>{{message}}</p>
    <button class="btn btn-outline-danger" @click="toggleModal">Delete</button>
    <modal :modal-id="modalId">
      <h4 style='margin-bottom: 60px; margin-top: 60px;'>
        Are you sure that you want to destroy this order? 
      </h4>
      <button class='btn btn-outline-secondary' @click="toggleModal('deleteModal')">
        Back
      </button>
      <button class="btn btn-outline-danger" @click='destroyOrder'>
        Delete
      </button>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '',
        modalId: `deleteOrderStatusButton-${this.order.id}`
      }
    },
    props: ['order'],
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      },
      destroyOrder() {
        this.$http.delete(`api/v1/orders/${this.order.id}`).then((response) => {
          this.$store.dispatch('destroyOrder', { id: this.order.id} )
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
        this.toggleModal()
      }
    }
  }
</script>
